Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network56.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
56.0.0.0
Broadcast address
59.255.255.255
First usable
56.0.0.1
Last usable
59.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 38000000 · Integer 939524096 to 1006632959
Reverse DNS zones
56.in-addr.arpa
57.in-addr.arpa
58.in-addr.arpa
59.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111000.00000000.00000000.0000000056.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00111000.00000000.00000000.0000000056.0.0.0
Broadcast00111011.11111111.11111111.1111111159.255.255.255
Split into smaller subnets/14

56.0.0.0/6 makes 256 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
156.0.0.0/1456.0.0.1 to 56.3.255.25456.3.255.255262,142
256.4.0.0/1456.4.0.1 to 56.7.255.25456.7.255.255262,142
356.8.0.0/1456.8.0.1 to 56.11.255.25456.11.255.255262,142
456.12.0.0/1456.12.0.1 to 56.15.255.25456.15.255.255262,142
556.16.0.0/1456.16.0.1 to 56.19.255.25456.19.255.255262,142
656.20.0.0/1456.20.0.1 to 56.23.255.25456.23.255.255262,142
756.24.0.0/1456.24.0.1 to 56.27.255.25456.27.255.255262,142
856.28.0.0/1456.28.0.1 to 56.31.255.25456.31.255.255262,142
956.32.0.0/1456.32.0.1 to 56.35.255.25456.35.255.255262,142
1056.36.0.0/1456.36.0.1 to 56.39.255.25456.39.255.255262,142
1156.40.0.0/1456.40.0.1 to 56.43.255.25456.43.255.255262,142
1256.44.0.0/1456.44.0.1 to 56.47.255.25456.47.255.255262,142
1356.48.0.0/1456.48.0.1 to 56.51.255.25456.51.255.255262,142
1456.52.0.0/1456.52.0.1 to 56.55.255.25456.55.255.255262,142
1556.56.0.0/1456.56.0.1 to 56.59.255.25456.59.255.255262,142
1656.60.0.0/1456.60.0.1 to 56.63.255.25456.63.255.255262,142
1756.64.0.0/1456.64.0.1 to 56.67.255.25456.67.255.255262,142
1856.68.0.0/1456.68.0.1 to 56.71.255.25456.71.255.255262,142
1956.72.0.0/1456.72.0.1 to 56.75.255.25456.75.255.255262,142
2056.76.0.0/1456.76.0.1 to 56.79.255.25456.79.255.255262,142
2156.80.0.0/1456.80.0.1 to 56.83.255.25456.83.255.255262,142
2256.84.0.0/1456.84.0.1 to 56.87.255.25456.87.255.255262,142
2356.88.0.0/1456.88.0.1 to 56.91.255.25456.91.255.255262,142
2456.92.0.0/1456.92.0.1 to 56.95.255.25456.95.255.255262,142
2556.96.0.0/1456.96.0.1 to 56.99.255.25456.99.255.255262,142
2656.100.0.0/1456.100.0.1 to 56.103.255.25456.103.255.255262,142
2756.104.0.0/1456.104.0.1 to 56.107.255.25456.107.255.255262,142
2856.108.0.0/1456.108.0.1 to 56.111.255.25456.111.255.255262,142
2956.112.0.0/1456.112.0.1 to 56.115.255.25456.115.255.255262,142
3056.116.0.0/1456.116.0.1 to 56.119.255.25456.119.255.255262,142
3156.120.0.0/1456.120.0.1 to 56.123.255.25456.123.255.255262,142
3256.124.0.0/1456.124.0.1 to 56.127.255.25456.127.255.255262,142
3356.128.0.0/1456.128.0.1 to 56.131.255.25456.131.255.255262,142
3456.132.0.0/1456.132.0.1 to 56.135.255.25456.135.255.255262,142
3556.136.0.0/1456.136.0.1 to 56.139.255.25456.139.255.255262,142
3656.140.0.0/1456.140.0.1 to 56.143.255.25456.143.255.255262,142
3756.144.0.0/1456.144.0.1 to 56.147.255.25456.147.255.255262,142
3856.148.0.0/1456.148.0.1 to 56.151.255.25456.151.255.255262,142
3956.152.0.0/1456.152.0.1 to 56.155.255.25456.155.255.255262,142
4056.156.0.0/1456.156.0.1 to 56.159.255.25456.159.255.255262,142
4156.160.0.0/1456.160.0.1 to 56.163.255.25456.163.255.255262,142
4256.164.0.0/1456.164.0.1 to 56.167.255.25456.167.255.255262,142
4356.168.0.0/1456.168.0.1 to 56.171.255.25456.171.255.255262,142
4456.172.0.0/1456.172.0.1 to 56.175.255.25456.175.255.255262,142
4556.176.0.0/1456.176.0.1 to 56.179.255.25456.179.255.255262,142
4656.180.0.0/1456.180.0.1 to 56.183.255.25456.183.255.255262,142
4756.184.0.0/1456.184.0.1 to 56.187.255.25456.187.255.255262,142
4856.188.0.0/1456.188.0.1 to 56.191.255.25456.191.255.255262,142
4956.192.0.0/1456.192.0.1 to 56.195.255.25456.195.255.255262,142
5056.196.0.0/1456.196.0.1 to 56.199.255.25456.199.255.255262,142
5156.200.0.0/1456.200.0.1 to 56.203.255.25456.203.255.255262,142
5256.204.0.0/1456.204.0.1 to 56.207.255.25456.207.255.255262,142
5356.208.0.0/1456.208.0.1 to 56.211.255.25456.211.255.255262,142
5456.212.0.0/1456.212.0.1 to 56.215.255.25456.215.255.255262,142
5556.216.0.0/1456.216.0.1 to 56.219.255.25456.219.255.255262,142
5656.220.0.0/1456.220.0.1 to 56.223.255.25456.223.255.255262,142
5756.224.0.0/1456.224.0.1 to 56.227.255.25456.227.255.255262,142
5856.228.0.0/1456.228.0.1 to 56.231.255.25456.231.255.255262,142
5956.232.0.0/1456.232.0.1 to 56.235.255.25456.235.255.255262,142
6056.236.0.0/1456.236.0.1 to 56.239.255.25456.239.255.255262,142
6156.240.0.0/1456.240.0.1 to 56.243.255.25456.243.255.255262,142
6256.244.0.0/1456.244.0.1 to 56.247.255.25456.247.255.255262,142
6356.248.0.0/1456.248.0.1 to 56.251.255.25456.251.255.255262,142
6456.252.0.0/1456.252.0.1 to 56.255.255.25456.255.255.255262,142
6557.0.0.0/1457.0.0.1 to 57.3.255.25457.3.255.255262,142
6657.4.0.0/1457.4.0.1 to 57.7.255.25457.7.255.255262,142
6757.8.0.0/1457.8.0.1 to 57.11.255.25457.11.255.255262,142
6857.12.0.0/1457.12.0.1 to 57.15.255.25457.15.255.255262,142
6957.16.0.0/1457.16.0.1 to 57.19.255.25457.19.255.255262,142
7057.20.0.0/1457.20.0.1 to 57.23.255.25457.23.255.255262,142
7157.24.0.0/1457.24.0.1 to 57.27.255.25457.27.255.255262,142
7257.28.0.0/1457.28.0.1 to 57.31.255.25457.31.255.255262,142
7357.32.0.0/1457.32.0.1 to 57.35.255.25457.35.255.255262,142
7457.36.0.0/1457.36.0.1 to 57.39.255.25457.39.255.255262,142
7557.40.0.0/1457.40.0.1 to 57.43.255.25457.43.255.255262,142
7657.44.0.0/1457.44.0.1 to 57.47.255.25457.47.255.255262,142
7757.48.0.0/1457.48.0.1 to 57.51.255.25457.51.255.255262,142
7857.52.0.0/1457.52.0.1 to 57.55.255.25457.55.255.255262,142
7957.56.0.0/1457.56.0.1 to 57.59.255.25457.59.255.255262,142
8057.60.0.0/1457.60.0.1 to 57.63.255.25457.63.255.255262,142
8157.64.0.0/1457.64.0.1 to 57.67.255.25457.67.255.255262,142
8257.68.0.0/1457.68.0.1 to 57.71.255.25457.71.255.255262,142
8357.72.0.0/1457.72.0.1 to 57.75.255.25457.75.255.255262,142
8457.76.0.0/1457.76.0.1 to 57.79.255.25457.79.255.255262,142
8557.80.0.0/1457.80.0.1 to 57.83.255.25457.83.255.255262,142
8657.84.0.0/1457.84.0.1 to 57.87.255.25457.87.255.255262,142
8757.88.0.0/1457.88.0.1 to 57.91.255.25457.91.255.255262,142
8857.92.0.0/1457.92.0.1 to 57.95.255.25457.95.255.255262,142
8957.96.0.0/1457.96.0.1 to 57.99.255.25457.99.255.255262,142
9057.100.0.0/1457.100.0.1 to 57.103.255.25457.103.255.255262,142
9157.104.0.0/1457.104.0.1 to 57.107.255.25457.107.255.255262,142
9257.108.0.0/1457.108.0.1 to 57.111.255.25457.111.255.255262,142
9357.112.0.0/1457.112.0.1 to 57.115.255.25457.115.255.255262,142
9457.116.0.0/1457.116.0.1 to 57.119.255.25457.119.255.255262,142
9557.120.0.0/1457.120.0.1 to 57.123.255.25457.123.255.255262,142
9657.124.0.0/1457.124.0.1 to 57.127.255.25457.127.255.255262,142
9757.128.0.0/1457.128.0.1 to 57.131.255.25457.131.255.255262,142
9857.132.0.0/1457.132.0.1 to 57.135.255.25457.135.255.255262,142
9957.136.0.0/1457.136.0.1 to 57.139.255.25457.139.255.255262,142
10057.140.0.0/1457.140.0.1 to 57.143.255.25457.143.255.255262,142
10157.144.0.0/1457.144.0.1 to 57.147.255.25457.147.255.255262,142
10257.148.0.0/1457.148.0.1 to 57.151.255.25457.151.255.255262,142
10357.152.0.0/1457.152.0.1 to 57.155.255.25457.155.255.255262,142
10457.156.0.0/1457.156.0.1 to 57.159.255.25457.159.255.255262,142
10557.160.0.0/1457.160.0.1 to 57.163.255.25457.163.255.255262,142
10657.164.0.0/1457.164.0.1 to 57.167.255.25457.167.255.255262,142
10757.168.0.0/1457.168.0.1 to 57.171.255.25457.171.255.255262,142
10857.172.0.0/1457.172.0.1 to 57.175.255.25457.175.255.255262,142
10957.176.0.0/1457.176.0.1 to 57.179.255.25457.179.255.255262,142
11057.180.0.0/1457.180.0.1 to 57.183.255.25457.183.255.255262,142
11157.184.0.0/1457.184.0.1 to 57.187.255.25457.187.255.255262,142
11257.188.0.0/1457.188.0.1 to 57.191.255.25457.191.255.255262,142
11357.192.0.0/1457.192.0.1 to 57.195.255.25457.195.255.255262,142
11457.196.0.0/1457.196.0.1 to 57.199.255.25457.199.255.255262,142
11557.200.0.0/1457.200.0.1 to 57.203.255.25457.203.255.255262,142
11657.204.0.0/1457.204.0.1 to 57.207.255.25457.207.255.255262,142
11757.208.0.0/1457.208.0.1 to 57.211.255.25457.211.255.255262,142
11857.212.0.0/1457.212.0.1 to 57.215.255.25457.215.255.255262,142
11957.216.0.0/1457.216.0.1 to 57.219.255.25457.219.255.255262,142
12057.220.0.0/1457.220.0.1 to 57.223.255.25457.223.255.255262,142
12157.224.0.0/1457.224.0.1 to 57.227.255.25457.227.255.255262,142
12257.228.0.0/1457.228.0.1 to 57.231.255.25457.231.255.255262,142
12357.232.0.0/1457.232.0.1 to 57.235.255.25457.235.255.255262,142
12457.236.0.0/1457.236.0.1 to 57.239.255.25457.239.255.255262,142
12557.240.0.0/1457.240.0.1 to 57.243.255.25457.243.255.255262,142
12657.244.0.0/1457.244.0.1 to 57.247.255.25457.247.255.255262,142
12757.248.0.0/1457.248.0.1 to 57.251.255.25457.251.255.255262,142
12857.252.0.0/1457.252.0.1 to 57.255.255.25457.255.255.255262,142
12958.0.0.0/1458.0.0.1 to 58.3.255.25458.3.255.255262,142
13058.4.0.0/1458.4.0.1 to 58.7.255.25458.7.255.255262,142
13158.8.0.0/1458.8.0.1 to 58.11.255.25458.11.255.255262,142
13258.12.0.0/1458.12.0.1 to 58.15.255.25458.15.255.255262,142
13358.16.0.0/1458.16.0.1 to 58.19.255.25458.19.255.255262,142
13458.20.0.0/1458.20.0.1 to 58.23.255.25458.23.255.255262,142
13558.24.0.0/1458.24.0.1 to 58.27.255.25458.27.255.255262,142
13658.28.0.0/1458.28.0.1 to 58.31.255.25458.31.255.255262,142
13758.32.0.0/1458.32.0.1 to 58.35.255.25458.35.255.255262,142
13858.36.0.0/1458.36.0.1 to 58.39.255.25458.39.255.255262,142
13958.40.0.0/1458.40.0.1 to 58.43.255.25458.43.255.255262,142
14058.44.0.0/1458.44.0.1 to 58.47.255.25458.47.255.255262,142
14158.48.0.0/1458.48.0.1 to 58.51.255.25458.51.255.255262,142
14258.52.0.0/1458.52.0.1 to 58.55.255.25458.55.255.255262,142
14358.56.0.0/1458.56.0.1 to 58.59.255.25458.59.255.255262,142
14458.60.0.0/1458.60.0.1 to 58.63.255.25458.63.255.255262,142
14558.64.0.0/1458.64.0.1 to 58.67.255.25458.67.255.255262,142
14658.68.0.0/1458.68.0.1 to 58.71.255.25458.71.255.255262,142
14758.72.0.0/1458.72.0.1 to 58.75.255.25458.75.255.255262,142
14858.76.0.0/1458.76.0.1 to 58.79.255.25458.79.255.255262,142
14958.80.0.0/1458.80.0.1 to 58.83.255.25458.83.255.255262,142
15058.84.0.0/1458.84.0.1 to 58.87.255.25458.87.255.255262,142
15158.88.0.0/1458.88.0.1 to 58.91.255.25458.91.255.255262,142
15258.92.0.0/1458.92.0.1 to 58.95.255.25458.95.255.255262,142
15358.96.0.0/1458.96.0.1 to 58.99.255.25458.99.255.255262,142
15458.100.0.0/1458.100.0.1 to 58.103.255.25458.103.255.255262,142
15558.104.0.0/1458.104.0.1 to 58.107.255.25458.107.255.255262,142
15658.108.0.0/1458.108.0.1 to 58.111.255.25458.111.255.255262,142
15758.112.0.0/1458.112.0.1 to 58.115.255.25458.115.255.255262,142
15858.116.0.0/1458.116.0.1 to 58.119.255.25458.119.255.255262,142
15958.120.0.0/1458.120.0.1 to 58.123.255.25458.123.255.255262,142
16058.124.0.0/1458.124.0.1 to 58.127.255.25458.127.255.255262,142
16158.128.0.0/1458.128.0.1 to 58.131.255.25458.131.255.255262,142
16258.132.0.0/1458.132.0.1 to 58.135.255.25458.135.255.255262,142
16358.136.0.0/1458.136.0.1 to 58.139.255.25458.139.255.255262,142
16458.140.0.0/1458.140.0.1 to 58.143.255.25458.143.255.255262,142
16558.144.0.0/1458.144.0.1 to 58.147.255.25458.147.255.255262,142
16658.148.0.0/1458.148.0.1 to 58.151.255.25458.151.255.255262,142
16758.152.0.0/1458.152.0.1 to 58.155.255.25458.155.255.255262,142
16858.156.0.0/1458.156.0.1 to 58.159.255.25458.159.255.255262,142
16958.160.0.0/1458.160.0.1 to 58.163.255.25458.163.255.255262,142
17058.164.0.0/1458.164.0.1 to 58.167.255.25458.167.255.255262,142
17158.168.0.0/1458.168.0.1 to 58.171.255.25458.171.255.255262,142
17258.172.0.0/1458.172.0.1 to 58.175.255.25458.175.255.255262,142
17358.176.0.0/1458.176.0.1 to 58.179.255.25458.179.255.255262,142
17458.180.0.0/1458.180.0.1 to 58.183.255.25458.183.255.255262,142
17558.184.0.0/1458.184.0.1 to 58.187.255.25458.187.255.255262,142
17658.188.0.0/1458.188.0.1 to 58.191.255.25458.191.255.255262,142
17758.192.0.0/1458.192.0.1 to 58.195.255.25458.195.255.255262,142
17858.196.0.0/1458.196.0.1 to 58.199.255.25458.199.255.255262,142
17958.200.0.0/1458.200.0.1 to 58.203.255.25458.203.255.255262,142
18058.204.0.0/1458.204.0.1 to 58.207.255.25458.207.255.255262,142
18158.208.0.0/1458.208.0.1 to 58.211.255.25458.211.255.255262,142
18258.212.0.0/1458.212.0.1 to 58.215.255.25458.215.255.255262,142
18358.216.0.0/1458.216.0.1 to 58.219.255.25458.219.255.255262,142
18458.220.0.0/1458.220.0.1 to 58.223.255.25458.223.255.255262,142
18558.224.0.0/1458.224.0.1 to 58.227.255.25458.227.255.255262,142
18658.228.0.0/1458.228.0.1 to 58.231.255.25458.231.255.255262,142
18758.232.0.0/1458.232.0.1 to 58.235.255.25458.235.255.255262,142
18858.236.0.0/1458.236.0.1 to 58.239.255.25458.239.255.255262,142
18958.240.0.0/1458.240.0.1 to 58.243.255.25458.243.255.255262,142
19058.244.0.0/1458.244.0.1 to 58.247.255.25458.247.255.255262,142
19158.248.0.0/1458.248.0.1 to 58.251.255.25458.251.255.255262,142
19258.252.0.0/1458.252.0.1 to 58.255.255.25458.255.255.255262,142
19359.0.0.0/1459.0.0.1 to 59.3.255.25459.3.255.255262,142
19459.4.0.0/1459.4.0.1 to 59.7.255.25459.7.255.255262,142
19559.8.0.0/1459.8.0.1 to 59.11.255.25459.11.255.255262,142
19659.12.0.0/1459.12.0.1 to 59.15.255.25459.15.255.255262,142
19759.16.0.0/1459.16.0.1 to 59.19.255.25459.19.255.255262,142
19859.20.0.0/1459.20.0.1 to 59.23.255.25459.23.255.255262,142
19959.24.0.0/1459.24.0.1 to 59.27.255.25459.27.255.255262,142
20059.28.0.0/1459.28.0.1 to 59.31.255.25459.31.255.255262,142
20159.32.0.0/1459.32.0.1 to 59.35.255.25459.35.255.255262,142
20259.36.0.0/1459.36.0.1 to 59.39.255.25459.39.255.255262,142
20359.40.0.0/1459.40.0.1 to 59.43.255.25459.43.255.255262,142
20459.44.0.0/1459.44.0.1 to 59.47.255.25459.47.255.255262,142
20559.48.0.0/1459.48.0.1 to 59.51.255.25459.51.255.255262,142
20659.52.0.0/1459.52.0.1 to 59.55.255.25459.55.255.255262,142
20759.56.0.0/1459.56.0.1 to 59.59.255.25459.59.255.255262,142
20859.60.0.0/1459.60.0.1 to 59.63.255.25459.63.255.255262,142
20959.64.0.0/1459.64.0.1 to 59.67.255.25459.67.255.255262,142
21059.68.0.0/1459.68.0.1 to 59.71.255.25459.71.255.255262,142
21159.72.0.0/1459.72.0.1 to 59.75.255.25459.75.255.255262,142
21259.76.0.0/1459.76.0.1 to 59.79.255.25459.79.255.255262,142
21359.80.0.0/1459.80.0.1 to 59.83.255.25459.83.255.255262,142
21459.84.0.0/1459.84.0.1 to 59.87.255.25459.87.255.255262,142
21559.88.0.0/1459.88.0.1 to 59.91.255.25459.91.255.255262,142
21659.92.0.0/1459.92.0.1 to 59.95.255.25459.95.255.255262,142
21759.96.0.0/1459.96.0.1 to 59.99.255.25459.99.255.255262,142
21859.100.0.0/1459.100.0.1 to 59.103.255.25459.103.255.255262,142
21959.104.0.0/1459.104.0.1 to 59.107.255.25459.107.255.255262,142
22059.108.0.0/1459.108.0.1 to 59.111.255.25459.111.255.255262,142
22159.112.0.0/1459.112.0.1 to 59.115.255.25459.115.255.255262,142
22259.116.0.0/1459.116.0.1 to 59.119.255.25459.119.255.255262,142
22359.120.0.0/1459.120.0.1 to 59.123.255.25459.123.255.255262,142
22459.124.0.0/1459.124.0.1 to 59.127.255.25459.127.255.255262,142
22559.128.0.0/1459.128.0.1 to 59.131.255.25459.131.255.255262,142
22659.132.0.0/1459.132.0.1 to 59.135.255.25459.135.255.255262,142
22759.136.0.0/1459.136.0.1 to 59.139.255.25459.139.255.255262,142
22859.140.0.0/1459.140.0.1 to 59.143.255.25459.143.255.255262,142
22959.144.0.0/1459.144.0.1 to 59.147.255.25459.147.255.255262,142
23059.148.0.0/1459.148.0.1 to 59.151.255.25459.151.255.255262,142
23159.152.0.0/1459.152.0.1 to 59.155.255.25459.155.255.255262,142
23259.156.0.0/1459.156.0.1 to 59.159.255.25459.159.255.255262,142
23359.160.0.0/1459.160.0.1 to 59.163.255.25459.163.255.255262,142
23459.164.0.0/1459.164.0.1 to 59.167.255.25459.167.255.255262,142
23559.168.0.0/1459.168.0.1 to 59.171.255.25459.171.255.255262,142
23659.172.0.0/1459.172.0.1 to 59.175.255.25459.175.255.255262,142
23759.176.0.0/1459.176.0.1 to 59.179.255.25459.179.255.255262,142
23859.180.0.0/1459.180.0.1 to 59.183.255.25459.183.255.255262,142
23959.184.0.0/1459.184.0.1 to 59.187.255.25459.187.255.255262,142
24059.188.0.0/1459.188.0.1 to 59.191.255.25459.191.255.255262,142
24159.192.0.0/1459.192.0.1 to 59.195.255.25459.195.255.255262,142
24259.196.0.0/1459.196.0.1 to 59.199.255.25459.199.255.255262,142
24359.200.0.0/1459.200.0.1 to 59.203.255.25459.203.255.255262,142
24459.204.0.0/1459.204.0.1 to 59.207.255.25459.207.255.255262,142
24559.208.0.0/1459.208.0.1 to 59.211.255.25459.211.255.255262,142
24659.212.0.0/1459.212.0.1 to 59.215.255.25459.215.255.255262,142
24759.216.0.0/1459.216.0.1 to 59.219.255.25459.219.255.255262,142
24859.220.0.0/1459.220.0.1 to 59.223.255.25459.223.255.255262,142
24959.224.0.0/1459.224.0.1 to 59.227.255.25459.227.255.255262,142
25059.228.0.0/1459.228.0.1 to 59.231.255.25459.231.255.255262,142
25159.232.0.0/1459.232.0.1 to 59.235.255.25459.235.255.255262,142
25259.236.0.0/1459.236.0.1 to 59.239.255.25459.239.255.255262,142
25359.240.0.0/1459.240.0.1 to 59.243.255.25459.243.255.255262,142
25459.244.0.0/1459.244.0.1 to 59.247.255.25459.247.255.255262,142
25559.248.0.0/1459.248.0.1 to 59.251.255.25459.251.255.255262,142
25659.252.0.0/1459.252.0.1 to 59.255.255.25459.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses